Bug 790298 - [glusterfs-3.3.0qa21] - memory leak in glusterfsd process
[glusterfs-3.3.0qa21] - memory leak in glusterfsd process
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
M S Vishwanath Bhat
Depends On:
Blocks: 817967
  Show dependency treegraph
Reported: 2012-02-14 01:51 EST by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 13:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
valgrind log (180.78 KB, text/x-log)
2012-02-14 01:53 EST, M S Vishwanath Bhat
no flags Details

  None (edit)
Description M S Vishwanath Bhat 2012-02-14 01:51:38 EST
Description of problem:
Memory leak in glusterfsd. valgrind reports 371,699,852 bytes of definitely lost.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create and start a volume.
2. Attach valgrind to a glusterfsd process.
Actual results:
leak summary from valgrind

==3210== LEAK SUMMARY:
==3210==    definitely lost: 371,699,852 bytes in 1,205,625 blocks
==3210==    indirectly lost: 68,454 bytes in 2,013 blocks
==3210==      possibly lost: 41,852,439 bytes in 4,941 blocks
==3210==    still reachable: 36,684 bytes in 70 blocks
==3210==         suppressed: 0 bytes in 0 blocks
==3210== Reachable blocks (those to which a pointer was found) are not shown.
==3210== To see them, rerun with: --leak-check=full --show-reachable=yes
==3210== For counts of detected and suppressed errors, rerun with: -v
==3210== ERROR SUMMARY: 238 errors from 238 contexts (suppressed: 30 from 9)

Expected results:
There should be no memory leak.

Additional info:

I have attached the valgrind log.
Comment 1 M S Vishwanath Bhat 2012-02-14 01:53:23 EST
Created attachment 561771 [details]
valgrind log

Forgot to attach the valgrind log file. Attaching now...
Comment 2 Anand Avati 2012-02-14 07:27:36 EST
CHANGE: http://review.gluster.com/2746 (rpc : fix the leak with glusterfs v2 auth structure conversion) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Anand Avati 2012-02-14 07:34:13 EST
CHANGE: http://review.gluster.com/2744 (protocol xdr: remove 'path<>') merged in master by Anand Avati (avati@redhat.com)
Comment 4 Anand Avati 2012-02-17 01:49:23 EST
CHANGE: http://review.gluster.com/2756 (protocol: remove the 'path<>' from rename() and link()) merged in master by Anand Avati (avati@redhat.com)
Comment 5 M S Vishwanath Bhat 2012-05-29 04:49:01 EDT
With glusterfs-3.3.0qa43, I'm not seeing the memory leak I observed with the qa21 version. Moving to verified.

Note You need to log in before you can comment on or make changes to this bug.